<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_tour_nameinfo.php" ?>
<?php include "tbl_country_originalinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_tour_name_edit = new ctbl_tour_name_edit();
$Page =& $tbl_tour_name_edit;

// Page init
$tbl_tour_name_edit->Page_Init();

// Page main
$tbl_tour_name_edit->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_tour_name_edit = new ew_Page("tbl_tour_name_edit");

// page properties
tbl_tour_name_edit.PageID = "edit"; // page ID
tbl_tour_name_edit.FormID = "ftbl_tour_nameedit"; // form ID
var EW_PAGE_ID = tbl_tour_name_edit.PageID; // for backward compatibility

// extend page with ValidateForm function
tbl_tour_name_edit.ValidateForm = function(fobj) {
	ew_PostAutoSuggest(fobj);
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_country_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour_name->country_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_name"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour_name->name->FldCaption()) ?>");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
tbl_tour_name_edit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_tour_name_edit.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_tour_name_edit.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_tour_name->TableCaption() ?><br><br>
<a href="<?php echo $tbl_tour_name->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_tour_name_edit->ShowMessage();
?>
<form name="ftbl_tour_nameedit" id="ftbl_tour_nameedit" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return tbl_tour_name_edit.ValidateForm(this);">
<p>
<input type="hidden" name="a_table" id="a_table" value="tbl_tour_name">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($tbl_tour_name->tour_name_id->Visible) { // tour_name_id ?>
	<tr<?php echo $tbl_tour_name->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour_name->tour_name_id->FldCaption() ?></td>
		<td<?php echo $tbl_tour_name->tour_name_id->CellAttributes() ?>><span id="el_tour_name_id">
<div<?php echo $tbl_tour_name->tour_name_id->ViewAttributes() ?>><?php echo $tbl_tour_name->tour_name_id->EditValue ?></div><input type="hidden" name="x_tour_name_id" id="x_tour_name_id" value="<?php echo ew_HtmlEncode($tbl_tour_name->tour_name_id->CurrentValue) ?>">
</span><?php echo $tbl_tour_name->tour_name_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour_name->country_id->Visible) { // country_id ?>
	<tr<?php echo $tbl_tour_name->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour_name->country_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour_name->country_id->CellAttributes() ?>><span id="el_country_id">
<?php if ($tbl_tour_name->country_id->getSessionValue() <> "") { ?>
<div<?php echo $tbl_tour_name->country_id->ViewAttributes() ?>><?php echo $tbl_tour_name->country_id->ViewValue ?></div>
<input type="hidden" id="x_country_id" name="x_country_id" value="<?php echo ew_HtmlEncode($tbl_tour_name->country_id->CurrentValue) ?>">
<?php } else { ?>
<select id="x_country_id" name="x_country_id" title="<?php echo $tbl_tour_name->country_id->FldTitle() ?>"<?php echo $tbl_tour_name->country_id->EditAttributes() ?>>
<?php
if (is_array($tbl_tour_name->country_id->EditValue)) {
	$arwrk = $tbl_tour_name->country_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_tour_name->country_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<?php
$sSqlWrk = "SELECT `country_or_id`, `country`, '' AS Disp2Fld FROM `tbl_country_original`";
$sWhereWrk = "";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk = TEAencrypt($sSqlWrk, EW_RANDOM_KEY);
?>
<input type="hidden" name="s_x_country_id" id="s_x_country_id" value="<?php echo $sSqlWrk; ?>">
<input type="hidden" name="lft_x_country_id" id="lft_x_country_id" value="">
<?php } ?>
</span><?php echo $tbl_tour_name->country_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour_name->name->Visible) { // name ?>
	<tr<?php echo $tbl_tour_name->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour_name->name->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour_name->name->CellAttributes() ?>><span id="el_name">
<textarea name="x_name" id="x_name" title="<?php echo $tbl_tour_name->name->FldTitle() ?>" cols="65" rows="2"<?php echo $tbl_tour_name->name->EditAttributes() ?>><?php echo $tbl_tour_name->name->EditValue ?></textarea>
</span><?php echo $tbl_tour_name->name->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>">
</form>
<script language="JavaScript" type="text/javascript">
<!--
ew_UpdateOpts([['x_country_id','x_country_id',false]]);

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php
$tbl_tour_name_edit->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_tour_name_edit {

	// Page ID
	var $PageID = 'edit';

	// Table name
	var $TableName = 'tbl_tour_name';

	// Page object name
	var $PageObjName = 'tbl_tour_name_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_tour_name;
		if ($tbl_tour_name->UseTokenInUrl) $PageUrl .= "t=" . $tbl_tour_name->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_tour_name;
		if ($tbl_tour_name->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_tour_name->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_tour_name->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_tour_name_edit() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_tour_name)
		$GLOBALS["tbl_tour_name"] = new ctbl_tour_name();

		// Table object (tbl_country_original)
		$GLOBALS['tbl_country_original'] = new ctbl_country_original();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_tour_name', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_tour_name;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Create form object
		$objForm = new cFormObj();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $sDbMasterFilter;
	var $sDbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $tbl_tour_name;

		// Load key from QueryString
		if (@$_GET["tour_name_id"] <> "")
			$tbl_tour_name->tour_name_id->setQueryStringValue($_GET["tour_name_id"]);

		// Set up master detail parameters
		$this->SetUpMasterDetail();
		if (@$_POST["a_edit"] <> "") {
			$tbl_tour_name->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values

			// Validate form
			if (!$this->ValidateForm()) {
				$tbl_tour_name->CurrentAction = ""; // Form error, reset action
				$this->setMessage($gsFormError);
				$tbl_tour_name->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		} else {
			$tbl_tour_name->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($tbl_tour_name->tour_name_id->CurrentValue == "")
			$this->Page_Terminate("tbl_tour_namelist.php"); // Invalid key, return to list
		switch ($tbl_tour_name->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					$this->setMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tbl_tour_namelist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$tbl_tour_name->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					$this->setMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $tbl_tour_name->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$tbl_tour_name->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		$tbl_tour_name->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $tbl_tour_name;

		// Get upload data
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $tbl_tour_name;
		$tbl_tour_name->tour_name_id->setFormValue($objForm->GetValue("x_tour_name_id"));
		$tbl_tour_name->country_id->setFormValue($objForm->GetValue("x_country_id"));
		$tbl_tour_name->name->setFormValue($objForm->GetValue("x_name"));
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm, $tbl_tour_name;
		$this->LoadRow();
		$tbl_tour_name->tour_name_id->CurrentValue = $tbl_tour_name->tour_name_id->FormValue;
		$tbl_tour_name->country_id->CurrentValue = $tbl_tour_name->country_id->FormValue;
		$tbl_tour_name->name->CurrentValue = $tbl_tour_name->name->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_tour_name;
		$sFilter = $tbl_tour_name->KeyFilter();

		// Call Row Selecting event
		$tbl_tour_name->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_tour_name->CurrentFilter = $sFilter;
		$sSql = $tbl_tour_name->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_tour_name->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_tour_name;
		$tbl_tour_name->tour_name_id->setDbValue($rs->fields('tour_name_id'));
		$tbl_tour_name->country_id->setDbValue($rs->fields('country_id'));
		$tbl_tour_name->name->setDbValue($rs->fields('name'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_tour_name;

		// Initialize URLs
		// Call Row_Rendering event

		$tbl_tour_name->Row_Rendering();

		// Common render codes for all row types
		// tour_name_id

		$tbl_tour_name->tour_name_id->CellCssStyle = ""; $tbl_tour_name->tour_name_id->CellCssClass = "";
		$tbl_tour_name->tour_name_id->CellAttrs = array(); $tbl_tour_name->tour_name_id->ViewAttrs = array(); $tbl_tour_name->tour_name_id->EditAttrs = array();

		// country_id
		$tbl_tour_name->country_id->CellCssStyle = ""; $tbl_tour_name->country_id->CellCssClass = "";
		$tbl_tour_name->country_id->CellAttrs = array(); $tbl_tour_name->country_id->ViewAttrs = array(); $tbl_tour_name->country_id->EditAttrs = array();

		// name
		$tbl_tour_name->name->CellCssStyle = ""; $tbl_tour_name->name->CellCssClass = "";
		$tbl_tour_name->name->CellAttrs = array(); $tbl_tour_name->name->ViewAttrs = array(); $tbl_tour_name->name->EditAttrs = array();
		if ($tbl_tour_name->RowType == EW_ROWTYPE_VIEW) { // View row

			// tour_name_id
			$tbl_tour_name->tour_name_id->ViewValue = $tbl_tour_name->tour_name_id->CurrentValue;
			$tbl_tour_name->tour_name_id->CssStyle = "";
			$tbl_tour_name->tour_name_id->CssClass = "";
			$tbl_tour_name->tour_name_id->ViewCustomAttributes = "";

			// country_id
			if (strval($tbl_tour_name->country_id->CurrentValue) <> "") {
				$sFilterWrk = "`country_or_id` = " . ew_AdjustSql($tbl_tour_name->country_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `country` FROM `tbl_country_original`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_tour_name->country_id->ViewValue = $rswrk->fields('country');
					$rswrk->Close();
				} else {
					$tbl_tour_name->country_id->ViewValue = $tbl_tour_name->country_id->CurrentValue;
				}
			} else {
				$tbl_tour_name->country_id->ViewValue = NULL;
			}
			$tbl_tour_name->country_id->CssStyle = "";
			$tbl_tour_name->country_id->CssClass = "";
			$tbl_tour_name->country_id->ViewCustomAttributes = "";

			// name
			$tbl_tour_name->name->ViewValue = $tbl_tour_name->name->CurrentValue;
			$tbl_tour_name->name->CssStyle = "";
			$tbl_tour_name->name->CssClass = "";
			$tbl_tour_name->name->ViewCustomAttributes = "";

			// tour_name_id
			$tbl_tour_name->tour_name_id->HrefValue = "";
			$tbl_tour_name->tour_name_id->TooltipValue = "";

			// country_id
			$tbl_tour_name->country_id->HrefValue = "";
			$tbl_tour_name->country_id->TooltipValue = "";

			// name
			$tbl_tour_name->name->HrefValue = "";
			$tbl_tour_name->name->TooltipValue = "";
		} elseif ($tbl_tour_name->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// tour_name_id
			$tbl_tour_name->tour_name_id->EditCustomAttributes = "";
			$tbl_tour_name->tour_name_id->EditValue = $tbl_tour_name->tour_name_id->CurrentValue;
			$tbl_tour_name->tour_name_id->CssStyle = "";
			$tbl_tour_name->tour_name_id->CssClass = "";
			$tbl_tour_name->tour_name_id->ViewCustomAttributes = "";

			// country_id
			$tbl_tour_name->country_id->EditCustomAttributes = "";
			if ($tbl_tour_name->country_id->getSessionValue() <> "") {
				$tbl_tour_name->country_id->CurrentValue = $tbl_tour_name->country_id->getSessionValue();
			if (strval($tbl_tour_name->country_id->CurrentValue) <> "") {
				$sFilterWrk = "`country_or_id` = " . ew_AdjustSql($tbl_tour_name->country_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `country` FROM `tbl_country_original`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_tour_name->country_id->ViewValue = $rswrk->fields('country');
					$rswrk->Close();
				} else {
					$tbl_tour_name->country_id->ViewValue = $tbl_tour_name->country_id->CurrentValue;
				}
			} else {
				$tbl_tour_name->country_id->ViewValue = NULL;
			}
			$tbl_tour_name->country_id->CssStyle = "";
			$tbl_tour_name->country_id->CssClass = "";
			$tbl_tour_name->country_id->ViewCustomAttributes = "";
			} else {
			if (trim(strval($tbl_tour_name->country_id->CurrentValue)) == "") {
				$sFilterWrk = "0=1";
			} else {
				$sFilterWrk = "`country_or_id` = " . ew_AdjustSql($tbl_tour_name->country_id->CurrentValue) . "";
			}
			$sSqlWrk = "SELECT `country_or_id`, `country`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_country_original`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_tour_name->country_id->EditValue = $arwrk;
			}

			// name
			$tbl_tour_name->name->EditCustomAttributes = "";
			$tbl_tour_name->name->EditValue = ew_HtmlEncode($tbl_tour_name->name->CurrentValue);

			// Edit refer script
			// tour_name_id

			$tbl_tour_name->tour_name_id->HrefValue = "";

			// country_id
			$tbl_tour_name->country_id->HrefValue = "";

			// name
			$tbl_tour_name->name->HrefValue = "";
		}

		// Call Row Rendered event
		if ($tbl_tour_name->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_tour_name->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError, $tbl_tour_name;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($tbl_tour_name->country_id->FormValue) && $tbl_tour_name->country_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour_name->country_id->FldCaption();
		}
		if (!is_null($tbl_tour_name->name->FormValue) && $tbl_tour_name->name->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour_name->name->FldCaption();
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language, $tbl_tour_name;
		$sFilter = $tbl_tour_name->KeyFilter();
		$tbl_tour_name->CurrentFilter = $sFilter;
		$sSql = $tbl_tour_name->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold =& $rs->fields;
			$rsnew = array();

			// country_id
			$tbl_tour_name->country_id->SetDbValueDef($rsnew, $tbl_tour_name->country_id->CurrentValue, 0, FALSE);

			// name
			$tbl_tour_name->name->SetDbValueDef($rsnew, $tbl_tour_name->name->CurrentValue, "", FALSE);

			// Call Row Updating event
			$bUpdateRow = $tbl_tour_name->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$EditRow = $conn->Execute($tbl_tour_name->UpdateSQL($rsnew));
				$conn->raiseErrorFn = '';
			} else {
				if ($tbl_tour_name->CancelMessage <> "") {
					$this->setMessage($tbl_tour_name->CancelMessage);
					$tbl_tour_name->CancelMessage = "";
				} else {
					$this->setMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$tbl_tour_name->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Set up master/detail based on QueryString
	function SetUpMasterDetail() {
		global $tbl_tour_name;
		$bValidMaster = FALSE;

		// Get the keys for master table
		if (@$_GET[EW_TABLE_SHOW_MASTER] <> "") {
			$sMasterTblVar = $_GET[EW_TABLE_SHOW_MASTER];
			if ($sMasterTblVar == "") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = "";
				$this->sDbDetailFilter = "";
			}
			if ($sMasterTblVar == "tbl_country_original") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $tbl_tour_name->SqlMasterFilter_tbl_country_original();
				$this->sDbDetailFilter = $tbl_tour_name->SqlDetailFilter_tbl_country_original();
				if (@$_GET["country_or_id"] <> "") {
					$GLOBALS["tbl_country_original"]->country_or_id->setQueryStringValue($_GET["country_or_id"]);
					$tbl_tour_name->country_id->setQueryStringValue($GLOBALS["tbl_country_original"]->country_or_id->QueryStringValue);
					$tbl_tour_name->country_id->setSessionValue($tbl_tour_name->country_id->QueryStringValue);
					if (!is_numeric($GLOBALS["tbl_country_original"]->country_or_id->QueryStringValue)) $bValidMaster = FALSE;
					$this->sDbMasterFilter = str_replace("@country_or_id@", ew_AdjustSql($GLOBALS["tbl_country_original"]->country_or_id->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@country_id@", ew_AdjustSql($GLOBALS["tbl_country_original"]->country_or_id->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
		}
		if ($bValidMaster) {

			// Save current master table
			$tbl_tour_name->setCurrentMasterTable($sMasterTblVar);

			// Reset start record counter (new master key)
			$this->lStartRec = 1;
			$tbl_tour_name->setStartRecordNumber($this->lStartRec);
			$tbl_tour_name->setMasterFilter($this->sDbMasterFilter); // Set up master filter
			$tbl_tour_name->setDetailFilter($this->sDbDetailFilter); // Set up detail filter

			// Clear previous master key from Session
			if ($sMasterTblVar <> "tbl_country_original") {
				if ($tbl_tour_name->country_id->QueryStringValue == "") $tbl_tour_name->country_id->setSessionValue("");
			}
		} else {
			$this->sDbMasterFilter = $tbl_tour_name->getMasterFilter(); //  Restore master filter
			$this->sDbDetailFilter = $tbl_tour_name->getDetailFilter(); // Restore detail filter
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
